CGAL 6.2 - 2D Arrangements: AosOutputFormatter Concept Reference

CGAL 6.2 - 2D Arrangements

Loading...
Searching...
No Matches
List of all members
AosOutputFormatter Concept Reference
Reference Manual » Concepts

## Definition

A model for the `AosOutputFormatter` concept supports a set of functions that enable writing an arrangement to an output stream using a specific format.

Has models
  `CGAL::Arr_text_formatter<Arrangement>`
  `CGAL::Arr_face_extended_text_formatter<Arrangement>`
  `CGAL::Arr_extended_dcel_text_formatter<Arrangement>`

## Types
typedef unspecified_type | Arrangement_2
| the type of arrangement to output.
typedef Arrangement_2::Point_2 | Point_2
| the point type.
typedef Arrangement_2::X_monotone_curve_2 | X_monotone_curve_2
| the \(x\)-monotone curve type.
typedef Arrangement_2::Size | Size
typedef Arrangement_2::Vertex_const_handle | Vertex_const_handle
typedef Arrangement_2::Halfedge_const_handle | Halfedge_const_handle
typedef Arrangement_2::Face_const_handle | Face_const_handle

## Creation
| Arr_out_formatter ()
| default constructor.
| Arr_out_formatter (std::ostream &os)
| constructs a formatter that writes to `os`.
void | set_out (std::ostream &os)
| directs `outf` to write to `os`.

## Access Functions
std::ostream & | out ()
| returns the stream that `outf` writes to.

## Formatted Output Functions
void | write_arrangement_begin ()
| writes a message indicating the beginning of the arrangement.
void | write_arrangement_end ()
| writes a message indicating the end of the arrangement.
void | write_size (const char *label, Size size)
| writes a size value, preceded by a given label.
void | write_vertices_begin ()
| writes a message indicating the beginning of the vertex records.
void | write_vertices_end ()
| writes a message indicating the end of the vertex records.
void | write_edges_begin ()
| writes a message indicating the beginning of the edge records.
void | write_edges_end ()
| writes a message indicating the end of the edge records.
void | write_faces_begin ()
| writes a message indicating the beginning of the face records.
void | write_faces_end ()
| writes a message indicating the end of the face records.
void | write_vertex_begin ()
| writes a message indicating the beginning of a single vertex record.
void | write_vertex_end ()
| writes a message indicating the end of a single vertex record.
void | write_vertex_index (std::size_t idx)
| writes a vertex index.
void | write_point (const Point_2 &p)
| writes a point.
void | write_vertex_data (Vertex_const_handle v)
| writes the auxiliary data associated with the vertex.
void | write_edge_begin ()
| writes a message indicating the beginning of a single edge record.
void | write_edge_end ()
| writes a message indicating the end of a single edge record.
void | write_halfedge_index (std::size_t idx)
| writes a halfedge index.
void | write_x_monotone_curve (const X_monotone_curve_2 &c)
| writes an \(x\)-monotone curve.
void | write_halfedge_data (Halfedge_const_handle he)
| writes the auxiliary data associated with the halfedge.
void | write_face_begin ()
| writes a message indicating the beginning of a single face record.
void | write_face_end ()
| writes a message indicating the end of a single face record.
void | write_outer_ccbs_begin ()
| writes a message indicating the beginning of the container of outer CCBs of the current face.
void | write_outer_ccbs_end ()
| writes a message indicating the end of the container of outer ccbs of the current face.
void | write_inner_ccbs_begin ()
| writes a message indicating the beginning of the container of inner CCBs of the current face.
void | write_inner_ccbs_end ()
| writes a message indicating the end of the container of inner ccbs of the current face.
void | write_outer_ccb_begin ()
| writes a message indicating the beginning of the outer CCB of the current face.
void | write_outer_ccb_end ()
| writes a message indicating the end of the outer CCB of the current face.
void | write_holes_begin ()
| writes a message indicating the beginning of the container of holes inside the current face.
void | write_holes_end ()
| writes a message indicating the end of the container of holes inside the current face.
void | write_ccb_halfedges_begin ()
| writes a message indicating the beginning a connected component's boundary.
void | write_ccb_halfedges_end ()
| writes a message indicating the end of a connected component's boundary.
void | write_isolated_vertices_begin ()
| writes a message indicating the beginning of the container of isolated vertices inside the current face.
void | write_isolated_vertices_end ()
| writes a message indicating the end of the container of isolated vertices inside the current face.
void | write_face_data (Face_const_handle f)
| writes the auxiliary data associated with the face.

## Member Function Documentation

## ◆ out()

std::ostream & AosOutputFormatter::out | ( |  | ) |

returns the stream that `outf` writes to.

Precondition
  `outf` is directed to a valid output stream.